using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "armes")]
    public class Arme : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "genre")]
        public string? Genre { get; set; }

        [XmlAttribute(AttributeName = "type")]
        public string? Type { get; set; }

        [XmlAttribute(AttributeName = "groupe")]
        public string? Groupe { get; set; }

        [XmlAttribute(AttributeName = "portée")]
        public string Portée { get; set; }

        [XmlAttribute(AttributeName = "modes")]
        public string? Modes { get; set; }

        [XmlAttribute(AttributeName = "dégâts")]
        public string? Dégâts { get; set; }

        [XmlAttribute(AttributeName = "type_dégâts")]
        public string? TypeDégâts { get; set; }

        [XmlAttribute(AttributeName = "pénétration")]
        public string Pénétration { get; set; }

        [XmlAttribute(AttributeName = "autonomie")]
        public string Autonomie { get; set; }

        [XmlAttribute(AttributeName = "rechargement")]
        public string Rechargement { get; set; }

        [XmlAttribute(AttributeName = "attributs")]
        public string? Attributs { get; set; }

        [XmlAttribute(AttributeName = "accessoires")]
        public string? Accessoires { get; set; }

        [XmlAttribute(AttributeName = "poids")]
        public string Poids { get; set; }

        [XmlAttribute(AttributeName = "bonus_bf")]
        public int BonusBf { get; set; }

        [XmlAttribute(AttributeName = "prix")]
        public int Prix { get; set; }

        [XmlAttribute(AttributeName = "disponibilité")]
        public string? Disponibilité { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int ArmeId { get; set; }
    }


}
